






/*  Style_Grid_005_Artists
 * Created-25Feb2025
 * 
 * This file specifies the type of grid style 
 * that the content is divided in.
 * 
 * This particular style divides the content in
 *  4 grids. 
 * -A grid for the Website title 
 * -A grid for splash art
 * -A grid the sidebar navigation
 * -A grid for the main content
 * 
 * Update Log
 * ----------------------------
 * 25Feb2025
 * Initial creation
 * General style for all things images and captions
 * 
 */



.main-wrapper{
    display: grid;
    grid-template-areas: 
        "top-nav top-nav top-nav"
        "sidebar-Left main main";
    grid-template-columns: minmax(0, 1fr) minmax(0, 2.5fr) minmax(0,15rem);
    grid-template-rows: minmax(0,3em) minmax(0,1fr);
    

    gap: 2rem;
    row-gap: 4px;
}

.left-div{
    grid-area: sidebar-Left;
}

.left-div{
    align-self: start;
    
    padding-top: 1px   
}

.left-div ul{
    list-style: none;

/*
 * Left side navigation intended to jump to different points in the page
 */ 
}
.sidebar-Right-container{
    grid-area: sidebar-Right;
    position: sticky;
}
.sidebar-Right{
    align-self: start;
    padding-top: 1px   
}


/*
 * The main content in the center
 */
.main-container{
    grid-area: main;
    padding: 21px;
}

.main{
    align-self: start;
    padding-top: 1px   
}









.artists-nav-container{
    align-items: center;
    grid-area: sidebar-Left;
    border: dashed;
}

.artistsDiv{
    overflow: scroll;
    display: grid;
    grid-column-start:1;
    grid-column-end: 17;
    grid-row-start: 1;
    grid-row-end: 12;
    
}


.artistsTable{
    border-collapse: collapse;
    border: 2px solid;
    margin-top: 50px;
    margin-left: 50px;
    margin-right: 50px;
}
.artistsTable th{
    padding: 8px 10px;
    border: 1px solid;
}
.artistsTable td{
    padding: 8px 10px;
    border: 1px solid;
}


.artistsTable td:nth-child(1){
    text-align: left;
}
.artistsTable td:nth-child(2){
    text-align: center;
}
.artistsTable td:nth-child(3){
    text-align: center;
}
.artistsTable td:nth-child(4){
    text-align: left;
}



.artistsTableName{
    width: 200px;
}
.artistsTableSocials{
    width: 200px;
}

.artistsTablePurchaseHistory{
    width: 50px;
}

.artistsTableMerch{
    width: 400px;
}


